Bug 577680 - Review Request: banshee-community-extensions - Collection of extensions for the media player Banshee
Summary: Review Request: banshee-community-extensions - Collection of extensions for t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Lange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-28 19:38 UTC by Christian Krause
Modified: 2010-05-07 17:23 UTC (History)
5 users (show)

Fixed In Version: taglib-sharp-2.0.3.7-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 17:23:49 UTC
palango: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christian Krause 2010-03-28 19:38:20 UTC
Spec URL: http://chkr.fedorapeople.org/review/banshee-community-extensions.spec
SRPM URL: http://chkr.fedorapeople.org/review/banshee-community-extensions-1.5.5-1.fc13.src.rpm
Description:
The Banshee Community Extensions contains a set of useful extensions
for the media player Banshee.

Comment 1 Paul Lange 2010-03-28 20:53:50 UTC
A first look brought up some questions:

- Should it better require a specific banshee version? As seen with banshee-mirage there is the possibility that banshee API updates together with old extensions can crash banshee.
This would require us to always update the extensions together with banshee, which seems a bit difficult for me. Comments?

- Maybe we should create sub-packages and not put all extensions in one package?

Everything else looks fine. Thanks for packaging.

Comment 2 Christian Krause 2010-03-28 22:50:49 UTC
(In reply to comment #1)
> - Should it better require a specific banshee version? As seen with
> banshee-mirage there is the possibility that banshee API updates together with
> old extensions can crash banshee.
> This would require us to always update the extensions together with banshee,
> which seems a bit difficult for me. Comments?

I would not recommend this:

- banshee-community-extensions's configure script will (during compile time) ensure, that at least a supported banshee version is availabe - as long as we don't downgrade banshee this will ensure, that this condition is also met for the binary packages

- pinpointing to an exact version will IMHO generate unnecessary rebuilds

- I assume that lots of people will have installed the extensions anyway and so it is very likely that the problems are caught either during packaging or during the testing period

So all in all I suggest not to require a specific banshee version.

> - Maybe we should create sub-packages and not put all extensions in one
> package?

I'm not sure about this:
There are two reasons which come to my mind why this could be helpful:
1. the full package is unreasonable big
or
2. the full package pulls in lots of dependencies which are only needed for some extensions

But since the package itself is only about 1 MByte I don't think it is necessary because of the size.

Regarding the dependencies "rpm -qR banshee-community-extensions" does not reveal anything critical. Most dependent packages are already installed because of other nearly-always-installed packages require them anyway (e.g. the deps of mirage are pulled in by pulseaudio and kdemultimedia).

So far I don't see a strong need for splitting up the package into sub-packages. But I don't have a very strong opinion on this... ;-)

Comment 3 Benedikt Morbach 2010-03-29 17:28:36 UTC
Hi,

I build banshee-community-extensions using the provided srpm on F12 and everything works fine. Thanks for packaging it.

However I noticed that the ClutterFlow extension is not build.
I suspect this is because clutter-gtk-sharp is currently absent, as it requires clutter-gtk >= 0.10.3 (Taken from the clutter-sharp specfile koji for F13.)

But I think clutter-gtk-sharp could be enabled in clutter-sharp at least on F13 and rawhide, as clutter-gtk-0.10.4 has been submitted for stable in F13 (see https://admin.fedoraproject.org/updates/clutter-gtk-0.10.4-1.fc13 )

This would make it possible to ship ClutterFlow.

Disclaimer: What I said above is untested, as I have no time to rebuild all this stuff now. Maybe someone with more insight could comment/test?

Thanks

Comment 4 Christian Krause 2010-03-30 07:35:45 UTC
(In reply to comment #3)
> However I noticed that the ClutterFlow extension is not build.

Yes, that's correct. It was left out on purpose (see below) but we plan for sure to activate it later. ;-)

> I suspect this is because clutter-gtk-sharp is currently absent, as it requires
> clutter-gtk >= 0.10.3 (Taken from the clutter-sharp specfile koji for F13.)

Yes, however, the clutter-sharp package does some very strange glib-sharp patching to workaround a bug in the current packaged version of glib-sharp. We will update glib-sharp (the whole gtk-sharp2 package) first.
Since this will take some time and banshee-community-extensions is needed quite urgently to obsolete the banshee-mirage package (which is now broken due to an API change), we thought that we'll postpone the activation of the ClutterFlow extension...

> Disclaimer: What I said above is untested, as I have no time to rebuild all
> this stuff now. Maybe someone with more insight could comment/test?

Indeed I have already tested it, but it was very, very slow on my laptop (radeon mobility, radeon driver, direct rending on). So in general it works. ;-)

Comment 5 Paul Lange 2010-03-30 11:36:24 UTC
Booth of your answers make sense to me. So here is the full review:

------
Review

# MUST: rpmlint must be run on every package. The output should be posted in the review.
banshee-community-extensions.i686: W: obsolete-not-provided banshee-mirage

no need to provide banshee-mirage since no other package requires it

# MUST: The package must be named according to the Package Naming Guidelines.
OK

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK

# MUST: The package must meet the Packaging Guidelines.
OK

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
OK

# MUST: The License field in the package spec file must match the actual license.
OK

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK

# MUST: The spec file must be written in American English.
OK

# MUST: The spec file for the package MUST be legible.
OK

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
md5sum: be829ac68d565d46277e5895a8f93c5c

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
OK

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK

# MUST: Packages must NOT bundle copies of system libraries.
OK

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
OK

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK

# MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}
OK

# MUST: Each package must consistently use macros.
OK

# MUST: The package must contain code, or permissable content.
OK

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
OK

# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
OK

# MUST: All filenames in rpm packages must be valid UTF-8.
OK

-----------

Everything is fine! Approved!

Comment 6 Christian Krause 2010-03-30 20:33:10 UTC
Thanks, Paul!

New Package CVS Request
=======================
Package Name: banshee-community-extensions
Short Description: Collection of extensions for the media player Banshee
Owners: chkr palango
Branches: F-13 F-12
InitialCC:

Comment 7 Kevin Fenzi 2010-03-30 21:46:51 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-04-12 19:29:55 UTC
taglib-sharp-2.0.3.7-1.fc12,banshee-community-extensions-1.6.0-1.fc12,banshee-1.6.0-1.fc12,beagle-0.3.9-17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/taglib-sharp-2.0.3.7-1.fc12,banshee-community-extensions-1.6.0-1.fc12,banshee-1.6.0-1.fc12,beagle-0.3.9-17.fc12

Comment 9 Fedora Update System 2010-04-14 01:39:50 UTC
taglib-sharp-2.0.3.7-1.fc12, banshee-community-extensions-1.6.0-1.fc12, banshee-1.6.0-1.fc12, beagle-0.3.9-17.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update taglib-sharp banshee-community-extensions banshee beagle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/taglib-sharp-2.0.3.7-1.fc12,banshee-community-extensions-1.6.0-1.fc12,banshee-1.6.0-1.fc12,beagle-0.3.9-17.fc12

Comment 10 Fedora Update System 2010-05-07 17:23:36 UTC
taglib-sharp-2.0.3.7-1.fc12, banshee-community-extensions-1.6.0-1.fc12, banshee-1.6.0-1.fc12, beagle-0.3.9-17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.